function m009
	%Resta dos imagenes capturadas desde la Webcam
	%requiere los archivos vfm.dll y vfm.m

	vfm('show',0);%hide %vfm('preview',1);%on
	disp('Presione una tecla para capturar la primera imagen...');pause;
   
   vfm('grab',1);
	Original=double(vfm('grab',1));
	Original=(Original(:,:,1)+Original(:,:,2)+Original(:,:,3))/3;
	imshow(Original,[]);title('Primera imagen');	
	disp('Sin mover la cámara, mueva un objeto de la escena y presione una tecla para capturar la segunda imagen...');pause;
   
   vfm('grab',1);
	Captura=double(vfm('grab',1));
	Captura=(Captura(:,:,1)+Captura(:,:,2)+Captura(:,:,3))/3;
	imshow(Captura,[]);title('Segunda imagen');


	IMResta=Resta(Original,Captura);
	imshow(IMResta,[]);title('Imagen resta absoluta entre las imagenes 1 y 2');


function IM3=Resta(IM1,IM2)

	[nf nc]=size(IM1);
	IM3=zeros(nf,nc);
	for f=1:nf
      for c=1:nc
         IM3(f,c)=abs(IM2(f,c)-IM1(f,c));
	   end;
	end;
      

